Debian Bug report logs - #576723
linux-2.6: [2.6.33] mising rt2860sta; rt2800 not suitable for replacement

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Tue, 6 Apr 2010 18:51:08 UTC

Severity: normal

Found in versions 2.6.33-1~experimental.5, 2.6.32-12, linux-2.6/2.6.34-1~experimental.1, 2.6.33-1~experimental.4, 2.6.34-1~experimental.2, 2.6.34-1~experimental.1

Fixed in versions linux-2.6/2.6.33-1~experimental.5, 2.6.35~rc4-1~experimental.1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-eeepc-devel@lists.alioth.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#576723; Package linux-2.6. (Tue, 06 Apr 2010 18:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
New Bug report received and forwarded. Copy sent to debian-eeepc-devel@lists.alioth.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

2.6.33-1~experimental.2, 2.6.33-1~experimental.4

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Tue, 06 Apr 2010 18:51:11 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: submit@bugs.debian.org
Subject: linux-2.6: [2.6.33] mising rt2860sta; rt2800 not suitable for replacement
Date: Tue, 6 Apr 2010 21:31:48 +0300
Package: linux-2.6
Version: 2.6.33-1~experimental.2, 2.6.33-1~experimental.4
Severity: normal
Tags: experimental
user: debian-eeepc-devel@lists.alioth.debian.org
usertag: features
usertag: 901

Hi,

The 2.6.33 linux-image in experimental removed the rt2860sta driver 
from staging and it seems to offer the rt2800 driver as a replacement. 
The later doesn't work for me, however. I can't associate with my 
access point using WPA2.

Hardware is Asus EeePC 901 (details in the info below).

Would it be possible to restore rt2860sta?


-- Package-specific info:
** Version:
Linux version 2.6.33-2-686 (Debian 2.6.33-1~experimental.4) (maks@debian.org) (gcc version 4.3.4 (Debian 4.3.4-8) ) #1 SMP Thu Mar 18 07:30:30 UTC 2010

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.33-2-686 root=UUID=4e436c23-73dc-44f1-85be-ffc868c92769 ro quiet i915.modeset=1 acpi_osi=Linux rfkill.default_state=1

** Not tainted

** Kernel log:
[    3.497662] usb usb4: Product: UHCI Host Controller
[    3.497666] usb usb4: Manufacturer: Linux 2.6.33-2-686 uhci_hcd
[    3.497671] usb usb4: SerialNumber: 0000:00:1d.2
[    3.504715] hub 4-0:1.0: USB hub found
[    3.504729] hub 4-0:1.0: 2 ports detected
[    3.504849] uhci_hcd 0000:00:1d.3: PCI INT D -> GSI 16 (level, low) -> IRQ 16
[    3.504866] uhci_hcd 0000:00:1d.3: setting latency timer to 64
[    3.504873] uhci_hcd 0000:00:1d.3: UHCI Host Controller
[    3.504893] uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
[    3.504951] uhci_hcd 0000:00:1d.3: irq 16, io base 0x0000dc00
[    3.505035] usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
[    3.505042] usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    3.505047] usb usb5: Product: UHCI Host Controller
[    3.505052] usb usb5: Manufacturer: Linux 2.6.33-2-686 uhci_hcd
[    3.505057] usb usb5: SerialNumber: 0000:00:1d.3
[    3.509041] hub 5-0:1.0: USB hub found
[    3.509054] hub 5-0:1.0: 2 ports detected
[    3.533294] eeepc_laptop: Eee PC Hotkey Driver
[    3.533313] eeepc_laptop: Hotkey init flags 0x41
[    3.672083] usb 1-8: new high speed USB device using ehci_hcd and address 2
[    3.820149] [drm] Initialized drm 1.1.0 20060810
[    3.949161] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    3.949171] i915 0000:00:02.0: setting latency timer to 64
[    3.993935] [drm] set up 7M of stolen space
[    4.124233] rt2800pci 0000:01:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[    4.124247] rt2800pci 0000:01:00.0: setting latency timer to 64
[    4.226869] phy0: Selected rate control algorithm 'minstrel'
[    4.228381] Registered led device: rt2800pci-phy0::radio
[    4.228478] Registered led device: rt2800pci-phy0::assoc
[    4.228574] Registered led device: rt2800pci-phy0::quality
[    4.233376] usb 1-8: New USB device found, idVendor=05e3, idProduct=0505
[    4.233384] usb 1-8: New USB device strings: Mfr=0, Product=1, SerialNumber=0
[    4.233390] usb 1-8: Product: USB 2.0 Camera
[    4.264156] elantech.c: assuming hardware version 2, firmware version 2.48
[    4.367916] elantech.c: Synaptics capabilities query result 0x00, 0x02, 0x64.
[    4.372520] [drm] initialized overlay support
[    4.641088] Linux video capture interface: v2.00
[    4.660808] uvcvideo: Found UVC 1.00 device USB 2.0 Camera (05e3:0505)
[    4.829636] [drm:edid_is_valid] *ERROR* EDID checksum is invalid, remainder is 219
[    4.829705] [drm:edid_is_valid] *ERROR* Raw EDID:
[    4.829765] <3>00 ff ff ff ff ff ff 00 06 af 20 10 00 00 00 00  .......... .....
[    4.829771] <3>01 12 01 03 80 13 0b 78 0a fa 56 92 56 54 98 24  .......x..V.VT.$
[    4.829777] <3>1a 4f 54 00 00 00 01 01 01 01 01 01 01 01 01 01  .OT.............
[    4.829783] <3>01 01 01 01 01 01 b0 13 00 40 41 58 19 20 18 88  .........@AX. ..
[    4.829788] <3>03 01 c3 71 00 00 00 18 00 00 00 0f 00 00 00 00  ...q............
[    4.829794] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[    4.829800] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[    4.829805] <3>00 00 00 00 00 00 00 00 00 00 00 00 df ff ff ff  ................
[    4.829809] 
[    4.871139] usbcore: registered new interface driver uvcvideo
[    4.871144] USB Video Class driver (v0.1.0)
[    5.095273] input: ETPS/2 Elantech Touchpad as /devices/platform/i8042/serio1/input/input6
[    5.132682] Console: switching to colour frame buffer device 128x37
[    5.141324] fb0: inteldrmfb frame buffer device
[    5.141327] registered panic notifier
[    5.141354] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[    5.141428] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    5.141508] HDA Intel 0000:00:1b.0: irq 28 for MSI/MSI-X
[    5.141553] HDA Intel 0000:00:1b.0: setting latency timer to 64
[    5.233883] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input7
[    5.966532] eeepc_laptop: TYPE (2000000) not reported by BIOS, enabling anyway
[    5.971938] eeepc_laptop: PANELPOWER (4000000) not reported by BIOS, enabling anyway
[    5.971947] eeepc_laptop: Get control methods supported: 0x6101713
[    5.981318] input: Asus EeePC extra buttons as /devices/platform/eeepc/input/input8
[    7.742025] device-mapper: uevent: version 1.0.3
[    7.743137] device-mapper: ioctl: 4.16.0-ioctl (2009-11-05) initialised: dm-devel@redhat.com
[   17.142261] padlock: VIA PadLock not detected.
[   17.173741] padlock: VIA PadLock Hash Engine not detected.
[   17.425085] loop: module loaded
[   18.203149] EXT4-fs (sda1): mounted filesystem with ordered data mode
[   18.273236] EXT4-fs (dm-0): barriers disabled
[   18.303342] EXT4-fs (dm-0): mounted filesystem with ordered data mode
[   19.290108] ATL1E 0000:04:00.0: irq 29 for MSI/MSI-X
[   19.294343] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   25.421571] Bluetooth: Core ver 2.15
[   25.421673] NET: Registered protocol family 31
[   25.421678] Bluetooth: HCI device and connection manager initialized
[   25.421683] Bluetooth: HCI socket layer initialized
[   25.443300] Bluetooth: L2CAP ver 2.14
[   25.443306] Bluetooth: L2CAP socket layer initialized
[   25.463689] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   25.463696] Bluetooth: BNEP filters: protocol multicast
[   25.485311] Bluetooth: RFCOMM TTY layer initialized
[   25.485321] Bluetooth: RFCOMM socket layer initialized
[   25.485326] Bluetooth: RFCOMM ver 1.11
[   25.514791] Bridge firewalling registered
[   25.571343] Bluetooth: SCO (Voice Link) ver 0.6
[   25.571350] Bluetooth: SCO socket layer initialized
[   26.765504] rt2800pci 0000:01:00.0: firmware: requesting rt2860.bin
[   26.839701] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   26.883595] lp: driver loaded but no devices found
[   26.966748] ppdev: user-space parallel port driver
[   58.345626] wlan0: direct probe to AP 00:a1:07:d6:9c:dd (try 1)
[   58.545049] wlan0: direct probe to AP 00:a1:07:d6:9c:dd (try 2)
[   58.744496] wlan0: direct probe to AP 00:a1:07:d6:9c:dd (try 3)
[   58.945048] wlan0: direct probe to AP 00:a1:07:d6:9c:dd timed out
[   75.849471] wlan0: direct probe to AP 00:a1:07:d6:9c:dd (try 1)
[   76.049025] wlan0: direct probe to AP 00:a1:07:d6:9c:dd (try 2)
[   76.249030] wlan0: direct probe to AP 00:a1:07:d6:9c:dd (try 3)
[   76.449037] wlan0: direct probe to AP 00:a1:07:d6:9c:dd timed out

** Model information
not available

** Loaded modules:
Module                  Size  Used by
ppdev                   4449  0 
lp                      5845  0 
parport                22250  2 ppdev,lp
sco                     5889  2 
bridge                 32977  0 
stp                      996  1 bridge
rfcomm                 24502  6 
bnep                    7591  2 
l2cap                  22430  6 rfcomm,bnep
bluetooth              35663  6 sco,rfcomm,bnep,l2cap
cpufreq_conservative     6198  0 
cpufreq_powersave        602  0 
cpufreq_userspace       1492  0 
cpufreq_stats           1940  0 
acpi_cpufreq            5135  0 
loop                    9772  0 
sha256_generic         10824  2 
aes_i586                6816  2 
aes_generic            25738  1 aes_i586
cbc                     1983  1 
dm_crypt                9156  1 
dm_mod                 47420  3 dm_crypt
snd_hda_codec_realtek   168375  1 
joydev                  6778  0 
uvcvideo               45623  0 
snd_hda_intel          16923  1 
videodev               27068  1 uvcvideo
v4l1_compat            10314  2 uvcvideo,videodev
snd_hda_codec          48763  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               4082  1 snd_hda_codec
snd_pcm_oss            28722  0 
arc4                     974  2 
snd_mixer_oss          10490  1 snd_pcm_oss
ecb                     1405  2 
snd_pcm                47219  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi            3600  0 
rt2800pci               7387  0 
snd_rawmidi            12652  1 snd_seq_midi
rt2800lib              17417  1 rt2800pci
rt2x00usb               5725  1 rt2800lib
snd_seq_midi_event      3672  1 snd_seq_midi
i915                  217679  2 
rt2x00pci               3777  1 rt2800pci
crc_ccitt               1039  1 rt2800pci
drm_kms_helper         18257  1 i915
snd_seq                35421  2 snd_seq_midi,snd_seq_midi_event
snd_timer              12349  2 snd_pcm,snd_seq
rt2x00lib              18813  4 rt2800pci,rt2800lib,rt2x00usb,rt2x00pci
drm                   112447  3 i915,drm_kms_helper
snd_seq_device          3673  3 snd_seq_midi,snd_rawmidi,snd_seq
i2c_algo_bit            3497  1 i915
mac80211              125802  3 rt2x00usb,rt2x00pci,rt2x00lib
snd                    34703  13 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
eeepc_laptop           10004  0 
i2c_core               12265  5 videodev,i915,drm_kms_helper,drm,i2c_algo_bit
uhci_hcd               16149  0 
cfg80211               90741  2 rt2x00lib,mac80211
sparse_keymap           1767  1 eeepc_laptop
rng_core                2350  0 
tpm_tis                 5496  0 
ehci_hcd               27870  0 
soundcore               3642  1 snd
psmouse                38755  0 
intel_agp              20257  1 
tpm                     8129  1 tpm_tis
rfkill                 10320  5 bluetooth,eeepc_laptop,cfg80211
usbcore               100734  5 uvcvideo,rt2x00usb,uhci_hcd,ehci_hcd
video                  15053  1 i915
tpm_bios                3557  1 tpm
pci_hotplug            18127  1 eeepc_laptop
battery                 3782  0 
ac                      1640  0 
atl1e                  22893  0 
eeprom_93cx6             963  1 rt2800pci
button                  3598  1 i915
led_class               1753  2 rt2x00lib,eeepc_laptop
evdev                   5629  22 
processor              25817  2 acpi_cpufreq
serio_raw               3104  0 
output                  1196  1 video
nls_base                4541  1 usbcore
snd_page_alloc          5097  2 snd_hda_intel,snd_pcm
agpgart                19551  2 drm,intel_agp
ext4                  248724  3 
mbcache                 3762  1 ext4
jbd2                   53025  1 ext4
crc16                   1027  2 l2cap,ext4
sd_mod                 26607  5 
crc_t10dif              1012  1 sd_mod
thermal                 9405  0 
fan                     2506  0 
thermal_sys             9402  4 video,processor,thermal,fan
ata_generic             2043  0 
ata_piix               17149  3 
libata                115325  2 ata_generic,ata_piix
scsi_mod              102273  2 sd_mod,libata

** Network interface configuration:

auto lo
iface lo inet loopback

allow-hotplug eth0
iface eth0 inet dhcp

iface ppp0 inet ppp
    provider provider

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN qlen 1000
    link/ether 00:22:51:6b:67:a6 brd ff:ff:ff:ff:ff:ff
3: wlan0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc mq state DOWN qlen 1000
    link/ether 00:51:af:bc:97:b4 brd ff:ff:ff:ff:ff:ff
4: pan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN
    link/ether e5:53:ba:b7:5e:82 brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:   26964     346    0    0    0     0          0         0    26964     346    0    0    0     0       0          0
  eth0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       1          0
 wlan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
  pan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    326 total packets received
    0 forwarded
    0 incoming packets discarded
    326 incoming packets delivered
    326 requests sent out
    160 outgoing packets dropped
Icmp:
    160 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 160
    160 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 160
IcmpMsg:
        InType3: 160
        OutType3: 160
Tcp:
    13 active connections openings
    0 passive connection openings
    13 failed connection attempts
    0 connection resets received
    0 connections established
    26 segments received
    26 segments send out
    0 segments retransmited
    0 bad segments received.
    13 resets sent
Udp:
    0 packets received
    160 packets to unknown port received.
    0 packet receive errors
    160 packets sent
UdpLite:
TcpExt:
    0 packet headers predicted
IpExt:
    InOctets: 25564
    OutOctets: 25564

*** Device features:
eth0: 0x11989
lo: 0x13865
pan0: 0xff3865
wlan0: 0x2000

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 945GME Express Memory Controller Hub [8086:27ac] (rev 03)
	Subsystem: ASUSTeK Computer Inc. Device [1043:830f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GME Express Integrated Graphics Controller [8086:27ae] (rev 03) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device [1043:830f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f7f00000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at dc80 [size=8]
	Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Region 3: Memory at f7ec0000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller [8086:27a6] (rev 03)
	Subsystem: ASUSTeK Computer Inc. Device [1043:830f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f7f80000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation N10/ICH 7 Family High Definition Audio Controller [8086:27d8] (rev 02)
	Subsystem: ASUSTeK Computer Inc. Device [1043:831a]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 28
	Region 0: Memory at f7eb8000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 1 [8086:27d0] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: 80000000-801fffff
	Prefetchable memory behind bridge: 0000000080200000-00000000803fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 2 [8086:27d2] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: fbf00000-fbffffff
	Prefetchable memory behind bridge: 0000000080400000-00000000805fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 3 [8086:27d4] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: 80600000-807fffff
	Prefetchable memory behind bridge: 0000000080800000-00000000809fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 4 [8086:27d6] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=01, subordinate=02, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: f8000000-fbefffff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f6ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation N10/ICH7 Family USB UHCI Controller #1 [8086:27c8] (rev 02) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:830f]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at d480 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 [8086:27c9] (rev 02) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:830f]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at d800 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 [8086:27ca] (rev 02) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:830f]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at d880 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 [8086:27cb] (rev 02) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:830f]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 16
	Region 4: I/O ports at dc00 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller [8086:27cc] (rev 02) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:830f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f7eb7c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev e2) (prog-if 01 [Subtractive decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge [8086:27b9] (rev 02)
	Subsystem: ASUSTeK Computer Inc. Device [1043:830f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 IDE interface [0101]: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller [8086:27c4] (rev 02) (prog-if 80 [Master])
	Subsystem: ASUSTeK Computer Inc. Device [1043:830f]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at ffa0 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation N10/ICH 7 Family SMBus Controller [8086:27da] (rev 02)
	Subsystem: ASUSTeK Computer Inc. Device [1043:830f]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 11
	Region 4: I/O ports at 0400 [size=32]

01:00.0 Network controller [0280]: RaLink RT2860 [1814:0781]
	Subsystem: RaLink Device [1814:2790]
	Physical Slot: eeepc-wifi
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at fbef0000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: rt2800pci

04:00.0 Ethernet controller [0200]: Atheros Communications Atheros AR8121/AR8113/AR8114 PCI-E Ethernet Controller [1969:1026] (rev b0)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8324]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 29
	Region 0: Memory at fbfc0000 (64-bit, non-prefetchable) [size=256K]
	Region 2: I/O ports at ec80 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: ATL1E


** USB devices:
Bus 001 Device 002: ID 05e3:0505 Genesys Logic, Inc. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.33-2-686 (SMP w/1 CPU core)
Locale: LANG=bg_BG.UTF-8, LC_CTYPE=bg_BG.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.33-2-686 depends on:
ii  debconf [debconf 1.5.30                  Debian configuration management sy
ii  initramfs-tools  0.93.4                  tools for generating an initramfs
ii  linux-base       2.6.33-1~experimental.4 Linux image base package
ii  module-init-tool 3.12~pre2-2             tools for managing Linux kernel mo

Versions of packages linux-image-2.6.33-2-686 recommends:
ii  firmware-linux-free           2.6.32-10  Binary firmware for various driver
ii  libc6-i686                    2.10.2-6   GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.33-2-686 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.33              <none>     (no description available)

Versions of packages linux-image-2.6.33-2-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.23       Binary firmware for various driver
ii  firmware-linux-nonfree        0.23       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
ii  firmware-ralink               0.23       Binary firmware for Ralink RT2561,

-- debconf information:
  linux-image-2.6.33-2-686/postinst/depmod-error-initrd-2.6.33-2-686: false
  linux-image-2.6.33-2-686/postinst/bootloader-test-error-2.6.33-2-686:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.33-2-686/prerm/would-invalidate-boot-loader-2.6.33-2-686: true
  linux-image-2.6.33-2-686/prerm/removing-running-kernel-2.6.33-2-686: true
  linux-image-2.6.33-2-686/postinst/missing-firmware-2.6.33-2-686:
  linux-image-2.6.33-2-686/postinst/bootloader-error-2.6.33-2-686:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#576723; Package linux-2.6. (Tue, 06 Apr 2010 19:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 06 Apr 2010 19:27:09 GMT) Full text and rfc822 format available.

Message #10 received at 576723@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Damyan Ivanov <dmn@debian.org>, 576723@bugs.debian.org
Subject: Re: Bug#576723: linux-2.6: [2.6.33] mising rt2860sta; rt2800 not suitable for replacement
Date: Tue, 6 Apr 2010 20:23:25 +0100
On Tue, Apr 06, 2010 at 09:31:48PM +0300, Damyan Ivanov wrote:
> Package: linux-2.6
> Version: 2.6.33-1~experimental.2, 2.6.33-1~experimental.4
> Severity: normal
> Tags: experimental
> user: debian-eeepc-devel@lists.alioth.debian.org
> usertag: features
> usertag: 901
> 
> Hi,
> 
> The 2.6.33 linux-image in experimental removed the rt2860sta driver 
> from staging and it seems to offer the rt2800 driver as a replacement. 
> The later doesn't work for me, however. I can't associate with my 
> access point using WPA2.
> 
> Hardware is Asus EeePC 901 (details in the info below).
> 
> Would it be possible to restore rt2860sta?

This change was unintentional; both rt2800pci and rt2860sta should be
included.  Please report your results with rt2800pci to
linux-wireless@vger.kernel.org so the rt2800pci driver can be
improved.  I'll try to work out why rt2860sta has been disabled.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Wed, 07 Apr 2010 03:12:02 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Wed, 05 May 2010 17:42:11 GMT) Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. (Wed, 05 May 2010 17:42:11 GMT) Full text and rfc822 format available.

Message #17 received at 576723-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 576723-close@bugs.debian.org
Subject: Bug#576723: fixed in linux-2.6 2.6.33-1~experimental.5
Date: Wed, 05 May 2010 17:39:53 +0000
Source: linux-2.6
Source-Version: 2.6.33-1~experimental.5

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.33-1~experimental.5_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.33-1~experimental.5_all.deb
linux-2.6_2.6.33-1~experimental.5.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.33-1~experimental.5.diff.gz
linux-2.6_2.6.33-1~experimental.5.dsc
  to main/l/linux-2.6/linux-2.6_2.6.33-1~experimental.5.dsc
linux-base_2.6.33-1~experimental.5_all.deb
  to main/l/linux-2.6/linux-base_2.6.33-1~experimental.5_all.deb
linux-doc-2.6.33_2.6.33-1~experimental.5_all.deb
  to main/l/linux-2.6/linux-doc-2.6.33_2.6.33-1~experimental.5_all.deb
linux-headers-2.6.33-2-all-amd64_2.6.33-1~experimental.5_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.33-2-all-amd64_2.6.33-1~experimental.5_amd64.deb
linux-headers-2.6.33-2-all_2.6.33-1~experimental.5_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.33-2-all_2.6.33-1~experimental.5_amd64.deb
linux-headers-2.6.33-2-amd64_2.6.33-1~experimental.5_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.33-2-amd64_2.6.33-1~experimental.5_amd64.deb
linux-headers-2.6.33-2-common_2.6.33-1~experimental.5_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.33-2-common_2.6.33-1~experimental.5_amd64.deb
linux-image-2.6.33-2-amd64_2.6.33-1~experimental.5_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.33-2-amd64_2.6.33-1~experimental.5_amd64.deb
linux-libc-dev_2.6.33-1~experimental.5_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.33-1~experimental.5_amd64.deb
linux-manual-2.6.33_2.6.33-1~experimental.5_all.deb
  to main/l/linux-2.6/linux-manual-2.6.33_2.6.33-1~experimental.5_all.deb
linux-patch-debian-2.6.33_2.6.33-1~experimental.5_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.33_2.6.33-1~experimental.5_all.deb
linux-source-2.6.33_2.6.33-1~experimental.5_all.deb
  to main/l/linux-2.6/linux-source-2.6.33_2.6.33-1~experimental.5_all.deb
linux-support-2.6.33-2_2.6.33-1~experimental.5_all.deb
  to main/l/linux-2.6/linux-support-2.6.33-2_2.6.33-1~experimental.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 576723@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 05 May 2010 16:38:53 +0200
Source: linux-2.6
Binary: linux-source-2.6.33 linux-doc-2.6.33 linux-manual-2.6.33 linux-patch-debian-2.6.33 firmware-linux-free linux-support-2.6.33-2 linux-base linux-libc-dev linux-headers-2.6.33-2-all linux-headers-2.6.33-2-all-alpha linux-headers-2.6.33-2-common linux-image-2.6.33-2-alpha-generic linux-headers-2.6.33-2-alpha-generic linux-image-2.6.33-2-alpha-smp linux-headers-2.6.33-2-alpha-smp linux-image-2.6.33-2-alpha-legacy linux-headers-2.6.33-2-alpha-legacy linux-headers-2.6.33-2-all-amd64 linux-image-2.6.33-2-amd64 linux-headers-2.6.33-2-amd64 linux-headers-2.6.33-2-all-armel linux-image-2.6.33-2-iop32x linux-headers-2.6.33-2-iop32x linux-image-2.6.33-2-ixp4xx linux-headers-2.6.33-2-ixp4xx linux-image-2.6.33-2-kirkwood linux-headers-2.6.33-2-kirkwood linux-image-2.6.33-2-orion5x linux-headers-2.6.33-2-orion5x linux-image-2.6.33-2-versatile linux-headers-2.6.33-2-versatile linux-headers-2.6.33-2-all-hppa linux-image-2.6.33-2-parisc linux-headers-2.6.33-2-parisc linux-image-2.6.33-2-parisc-smp
 linux-headers-2.6.33-2-parisc-smp linux-image-2.6.33-2-parisc64 linux-headers-2.6.33-2-parisc64 linux-image-2.6.33-2-parisc64-smp linux-headers-2.6.33-2-parisc64-smp linux-headers-2.6.33-2-all-i386 linux-image-2.6.33-2-486 linux-headers-2.6.33-2-486 linux-image-2.6.33-2-686 linux-headers-2.6.33-2-686 linux-image-2.6.33-2-686-bigmem linux-headers-2.6.33-2-686-bigmem linux-headers-2.6.33-2-all-ia64 linux-image-2.6.33-2-itanium linux-headers-2.6.33-2-itanium linux-image-2.6.33-2-mckinley linux-headers-2.6.33-2-mckinley linux-headers-2.6.33-2-all-m68k linux-image-2.6.33-2-amiga linux-headers-2.6.33-2-amiga linux-image-2.6.33-2-atari linux-headers-2.6.33-2-atari linux-image-2.6.33-2-bvme6000 linux-headers-2.6.33-2-bvme6000 linux-image-2.6.33-2-mac linux-headers-2.6.33-2-mac linux-image-2.6.33-2-mvme147 linux-headers-2.6.33-2-mvme147 linux-image-2.6.33-2-mvme16x linux-headers-2.6.33-2-mvme16x linux-headers-2.6.33-2-all-mips linux-image-2.6.33-2-r4k-ip22 linux-headers-2.6.33-2-r4k-ip22
 linux-image-2.6.33-2-r5k-ip32 linux-headers-2.6.33-2-r5k-ip32 linux-image-2.6.33-2-sb1-bcm91250a linux-headers-2.6.33-2-sb1-bcm91250a linux-image-2.6.33-2-sb1a-bcm91480b linux-headers-2.6.33-2-sb1a-bcm91480b linux-image-2.6.33-2-4kc-malta linux-headers-2.6.33-2-4kc-malta linux-image-2.6.33-2-5kc-malta linux-headers-2.6.33-2-5kc-malta linux-headers-2.6.33-2-all-mipsel linux-image-2.6.33-2-r5k-cobalt linux-headers-2.6.33-2-r5k-cobalt linux-headers-2.6.33-2-all-powerpc linux-image-2.6.33-2-powerpc linux-headers-2.6.33-2-powerpc linux-image-2.6.33-2-powerpc-smp linux-headers-2.6.33-2-powerpc-smp linux-image-2.6.33-2-powerpc64 linux-headers-2.6.33-2-powerpc64 linux-headers-2.6.33-2-all-s390 linux-image-2.6.33-2-s390x linux-headers-2.6.33-2-s390x linux-image-2.6.33-2-s390x-tape linux-headers-2.6.33-2-all-sh4 linux-image-2.6.33-2-sh7751r linux-headers-2.6.33-2-sh7751r linux-image-2.6.33-2-sh7785lcr linux-headers-2.6.33-2-sh7785lcr linux-headers-2.6.33-2-all-sparc linux-image-2.6.33-2-sparc64
 linux-headers-2.6.33-2-sparc64 linux-image-2.6.33-2-sparc64-smp linux-headers-2.6.33-2-sparc64-smp linux-headers-2.6.33-2-all-sparc64
Architecture: source all amd64
Version: 2.6.33-1~experimental.5
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.33 - Linux kernel specific documentation for version 2.6.33
 linux-headers-2.6.33-2-486 - Header files for Linux 2.6.33-2-486
 linux-headers-2.6.33-2-4kc-malta - Header files for Linux 2.6.33-2-4kc-malta
 linux-headers-2.6.33-2-5kc-malta - Header files for Linux 2.6.33-2-5kc-malta
 linux-headers-2.6.33-2-686 - Header files for Linux 2.6.33-2-686
 linux-headers-2.6.33-2-686-bigmem - Header files for Linux 2.6.33-2-686-bigmem
 linux-headers-2.6.33-2-all - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-alpha - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-amd64 - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-armel - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-hppa - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-i386 - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-ia64 - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-m68k - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-mips - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-mipsel - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-powerpc - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-s390 - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-sh4 - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-sparc - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-sparc64 - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-alpha-generic - Header files for Linux 2.6.33-2-alpha-generic
 linux-headers-2.6.33-2-alpha-legacy - Header files for Linux 2.6.33-2-alpha-legacy
 linux-headers-2.6.33-2-alpha-smp - Header files for Linux 2.6.33-2-alpha-smp
 linux-headers-2.6.33-2-amd64 - Header files for Linux 2.6.33-2-amd64
 linux-headers-2.6.33-2-amiga - Header files for Linux 2.6.33-2-amiga
 linux-headers-2.6.33-2-atari - Header files for Linux 2.6.33-2-atari
 linux-headers-2.6.33-2-bvme6000 - Header files for Linux 2.6.33-2-bvme6000
 linux-headers-2.6.33-2-common - Common header files for Linux 2.6.33-2
 linux-headers-2.6.33-2-iop32x - Header files for Linux 2.6.33-2-iop32x
 linux-headers-2.6.33-2-itanium - Header files for Linux 2.6.33-2-itanium
 linux-headers-2.6.33-2-ixp4xx - Header files for Linux 2.6.33-2-ixp4xx
 linux-headers-2.6.33-2-kirkwood - Header files for Linux 2.6.33-2-kirkwood
 linux-headers-2.6.33-2-mac - Header files for Linux 2.6.33-2-mac
 linux-headers-2.6.33-2-mckinley - Header files for Linux 2.6.33-2-mckinley
 linux-headers-2.6.33-2-mvme147 - Header files for Linux 2.6.33-2-mvme147
 linux-headers-2.6.33-2-mvme16x - Header files for Linux 2.6.33-2-mvme16x
 linux-headers-2.6.33-2-orion5x - Header files for Linux 2.6.33-2-orion5x
 linux-headers-2.6.33-2-parisc - Header files for Linux 2.6.33-2-parisc
 linux-headers-2.6.33-2-parisc-smp - Header files for Linux 2.6.33-2-parisc-smp
 linux-headers-2.6.33-2-parisc64 - Header files for Linux 2.6.33-2-parisc64
 linux-headers-2.6.33-2-parisc64-smp - Header files for Linux 2.6.33-2-parisc64-smp
 linux-headers-2.6.33-2-powerpc - Header files for Linux 2.6.33-2-powerpc
 linux-headers-2.6.33-2-powerpc-smp - Header files for Linux 2.6.33-2-powerpc-smp
 linux-headers-2.6.33-2-powerpc64 - Header files for Linux 2.6.33-2-powerpc64
 linux-headers-2.6.33-2-r4k-ip22 - Header files for Linux 2.6.33-2-r4k-ip22
 linux-headers-2.6.33-2-r5k-cobalt - Header files for Linux 2.6.33-2-r5k-cobalt
 linux-headers-2.6.33-2-r5k-ip32 - Header files for Linux 2.6.33-2-r5k-ip32
 linux-headers-2.6.33-2-s390x - Header files for Linux 2.6.33-2-s390x
 linux-headers-2.6.33-2-sb1-bcm91250a - Header files for Linux 2.6.33-2-sb1-bcm91250a
 linux-headers-2.6.33-2-sb1a-bcm91480b - Header files for Linux 2.6.33-2-sb1a-bcm91480b
 linux-headers-2.6.33-2-sh7751r - Header files for Linux 2.6.33-2-sh7751r
 linux-headers-2.6.33-2-sh7785lcr - Header files for Linux 2.6.33-2-sh7785lcr
 linux-headers-2.6.33-2-sparc64 - Header files for Linux 2.6.33-2-sparc64
 linux-headers-2.6.33-2-sparc64-smp - Header files for Linux 2.6.33-2-sparc64-smp
 linux-headers-2.6.33-2-versatile - Header files for Linux 2.6.33-2-versatile
 linux-image-2.6.33-2-486 - Linux 2.6.33 for old PCs
 linux-image-2.6.33-2-4kc-malta - Linux 2.6.33 for MIPS Malta
 linux-image-2.6.33-2-5kc-malta - Linux 2.6.33 for MIPS Malta (64-bit)
 linux-image-2.6.33-2-686 - Linux 2.6.33 for modern PCs
 linux-image-2.6.33-2-686-bigmem - Linux 2.6.33 for PCs with 4GB+ RAM
 linux-image-2.6.33-2-alpha-generic - Linux 2.6.33 for Alpha
 linux-image-2.6.33-2-alpha-legacy - Linux 2.6.33 for Alpha Legacy
 linux-image-2.6.33-2-alpha-smp - Linux 2.6.33 for Alpha SMP
 linux-image-2.6.33-2-amd64 - Linux 2.6.33 for 64-bit PCs
 linux-image-2.6.33-2-amiga - Linux 2.6.33 for Amiga
 linux-image-2.6.33-2-atari - Linux 2.6.33 for Atari
 linux-image-2.6.33-2-bvme6000 - Linux 2.6.33 for BVM BVME4000 and BVME6000
 linux-image-2.6.33-2-iop32x - Linux 2.6.33 for IOP32x
 linux-image-2.6.33-2-itanium - Linux 2.6.33 for Itanium
 linux-image-2.6.33-2-ixp4xx - Linux 2.6.33 for IXP4xx
 linux-image-2.6.33-2-kirkwood - Linux 2.6.33 for Marvell Kirkwood
 linux-image-2.6.33-2-mac - Linux 2.6.33 for Macintosh
 linux-image-2.6.33-2-mckinley - Linux 2.6.33 for Itanium II
 linux-image-2.6.33-2-mvme147 - Linux 2.6.33 for Motorola MVME147
 linux-image-2.6.33-2-mvme16x - Linux 2.6.33 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.33-2-orion5x - Linux 2.6.33 for Marvell Orion
 linux-image-2.6.33-2-parisc - Linux 2.6.33 for 32-bit PA-RISC
 linux-image-2.6.33-2-parisc-smp - Linux 2.6.33 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.33-2-parisc64 - Linux 2.6.33 for 64-bit PA-RISC
 linux-image-2.6.33-2-parisc64-smp - Linux 2.6.33 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.33-2-powerpc - Linux 2.6.33 for uniprocessor 32-bit PowerPC
 linux-image-2.6.33-2-powerpc-smp - Linux 2.6.33 for multiprocessor 32-bit PowerPC
 linux-image-2.6.33-2-powerpc64 - Linux 2.6.33 for 64-bit PowerPC
 linux-image-2.6.33-2-r4k-ip22 - Linux 2.6.33 for SGI IP22
 linux-image-2.6.33-2-r5k-cobalt - Linux 2.6.33 for Cobalt
 linux-image-2.6.33-2-r5k-ip32 - Linux 2.6.33 for SGI IP32
 linux-image-2.6.33-2-s390x - Linux 2.6.33 for IBM zSeries
 linux-image-2.6.33-2-s390x-tape - Linux 2.6.33 for IBM zSeries, IPL from tape
 linux-image-2.6.33-2-sb1-bcm91250a - Linux 2.6.33 for BCM91250A
 linux-image-2.6.33-2-sb1a-bcm91480b - Linux 2.6.33 for BCM91480B
 linux-image-2.6.33-2-sh7751r - Linux 2.6.33 for sh7751r
 linux-image-2.6.33-2-sh7785lcr - Linux 2.6.33 for sh7785lcr
 linux-image-2.6.33-2-sparc64 - Linux 2.6.33 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.33-2-sparc64-smp - Linux 2.6.33 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.33-2-versatile - Linux 2.6.33 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.33 - Linux kernel API manual pages for version 2.6.33
 linux-patch-debian-2.6.33 - Debian patches to version 2.6.33 of the Linux kernel
 linux-source-2.6.33 - Linux kernel source for version 2.6.33 with Debian patches
 linux-support-2.6.33-2 - Support files for Linux 2.6.33
Closes: 563313 569034 573912 576723
Changes: 
 linux-2.6 (2.6.33-1~experimental.5) experimental; urgency=low
 .
   [ Ian Campbell ]
   * Include Xen hypervisor in reportbug "related to" list.
 .
   [ maximilian attems]
   * Add stable 2.6.33.2.
 .
   [ Ben Hutchings ]
   * [x86] Enable ramzswap driver (Closes: #573912)
   * [x86] Re-enable rt2860sta and rt2870sta drivers which were accidentally
     disabled when moving to Linux 2.6.33 (Closes: #576723)
   * Add stable 2.6.33.3:
     - ACPI: EC: Allow multibyte access to EC; fixes temperature monitoring
       on some Dell laptops (Closes: #563313)
 .
   [ Aurelien Jarno ]
   * Add support for sh4 architecture, patch by Nobuhiro Iwamatsu
     (Closes: #569034)
   * [mips*/*malta] Remove options that are present in topconfig.
Checksums-Sha1: 
 8c8c5be06d4b6e14736e5ed69d355a7b63a83d9b 4878 linux-2.6_2.6.33-1~experimental.5.dsc
 bcca4bb24faa484a650633752f73b61a72593481 826698 linux-2.6_2.6.33-1~experimental.5.diff.gz
 e81283b49044159a03abafb63256e8c04efed586 6090260 linux-doc-2.6.33_2.6.33-1~experimental.5_all.deb
 939c8e736c373989c1998a9521d44dd842d5a44d 2750760 linux-manual-2.6.33_2.6.33-1~experimental.5_all.deb
 95ac194302b2f135a5550d0912abd5abc665ccd9 624508 linux-patch-debian-2.6.33_2.6.33-1~experimental.5_all.deb
 cd0ebae64af38dbad6f9e1add75c8f5845ac8cfa 65449474 linux-source-2.6.33_2.6.33-1~experimental.5_all.deb
 feae03c6090e08f6dde8080c4e59a3ed8fe63c83 143534 linux-support-2.6.33-2_2.6.33-1~experimental.5_all.deb
 8152e8f9412a401637f3e773132b9aa5e3d8ef2e 132396 firmware-linux-free_2.6.33-1~experimental.5_all.deb
 cbfabc17ed9d59241dc0b5ce2c7ea7b60d51f7cc 139334 linux-base_2.6.33-1~experimental.5_all.deb
 5069251bb795b25b22e4512fa8bcc2a7641993e1 28394362 linux-image-2.6.33-2-amd64_2.6.33-1~experimental.5_amd64.deb
 306aaeb2010070663f72a089b38e57df6a28dab5 492986 linux-headers-2.6.33-2-amd64_2.6.33-1~experimental.5_amd64.deb
 8a6c8c5e13064a48ebf2fe00b73adb62e76c001f 3920684 linux-headers-2.6.33-2-common_2.6.33-1~experimental.5_amd64.deb
 f7860ea88a87f3bd38a44e9d78e201935054cd96 127332 linux-headers-2.6.33-2-all_2.6.33-1~experimental.5_amd64.deb
 98d662410817eaf744acb4d1963899391bdf3fa7 127340 linux-headers-2.6.33-2-all-amd64_2.6.33-1~experimental.5_amd64.deb
 9ce07439ccb90b7d3625519e41e2b8a3ff511af1 829880 linux-libc-dev_2.6.33-1~experimental.5_amd64.deb
Checksums-Sha256: 
 29b68c431cbc0147686ac11ad29b6efcd787af3715b327c2cb9e8a23a13c0235 4878 linux-2.6_2.6.33-1~experimental.5.dsc
 c6d57744e99f645d41e2c9e2dd097924667f2180f685b39a7fd9f06dfa5cc2db 826698 linux-2.6_2.6.33-1~experimental.5.diff.gz
 ec1bb70a2b58c63a91f14b685d0739104c292fd784dea5539eab022e2abd7c8f 6090260 linux-doc-2.6.33_2.6.33-1~experimental.5_all.deb
 3694e34af23337529de97ae98a0c62da555a7fb177bf5ecce4cc9a80b5e26877 2750760 linux-manual-2.6.33_2.6.33-1~experimental.5_all.deb
 cb15f877395cfb117fb70b0df685b67f5e9710dcdee0154c8986c363f54c84dd 624508 linux-patch-debian-2.6.33_2.6.33-1~experimental.5_all.deb
 986096084d771af3ef933babe8f216d7d8f1d518b1d00a56d5cd83b3e585445a 65449474 linux-source-2.6.33_2.6.33-1~experimental.5_all.deb
 b82c998d5f0d6e52373edacca5c2fadd1fba4dbc7fce743fdbd8125879ccce73 143534 linux-support-2.6.33-2_2.6.33-1~experimental.5_all.deb
 68c8881760567bfa0021d14f9ad5df51a91ab5ad2d4678bfd421796f14de6613 132396 firmware-linux-free_2.6.33-1~experimental.5_all.deb
 e63e4ca336da199b48bed7b913c21965f3bc119c5e51332d9fa40f503613fd9c 139334 linux-base_2.6.33-1~experimental.5_all.deb
 9d4cbcddad8c2650f7c3e1db1d451812954a0ac1740652f02fe42cf7e0c6194c 28394362 linux-image-2.6.33-2-amd64_2.6.33-1~experimental.5_amd64.deb
 fc6d775b3a13308b72aeda5894f4c62d25eb1f1d30c3511ad27429f9363dd52e 492986 linux-headers-2.6.33-2-amd64_2.6.33-1~experimental.5_amd64.deb
 60e678f4865bec42c68611771b6481eba4d24136a45bfd5102652db3426fae56 3920684 linux-headers-2.6.33-2-common_2.6.33-1~experimental.5_amd64.deb
 6e6e1c61f1db7f0d5c019b8cd0efe589468ed264976200f56ae9c163edd2c7c6 127332 linux-headers-2.6.33-2-all_2.6.33-1~experimental.5_amd64.deb
 8a10efe69c4ab427c0b12949e2ab3551266fea2ca8804fa62737c639a555ece7 127340 linux-headers-2.6.33-2-all-amd64_2.6.33-1~experimental.5_amd64.deb
 34274bd0db4dd3256cf95faa169f8d221039172816672004ca4a10732f401150 829880 linux-libc-dev_2.6.33-1~experimental.5_amd64.deb
Files: 
 b336389a5e1c21ae9b4ca36d2ba8af10 4878 kernel optional linux-2.6_2.6.33-1~experimental.5.dsc
 d3995efb6017412b07d7e15674dfa92e 826698 kernel optional linux-2.6_2.6.33-1~experimental.5.diff.gz
 90b087238ca30d49c1ba9c05d025a222 6090260 doc optional linux-doc-2.6.33_2.6.33-1~experimental.5_all.deb
 ad8c057e47af6756beba42be4edc1b16 2750760 doc optional linux-manual-2.6.33_2.6.33-1~experimental.5_all.deb
 db5ad4ac48a2bf9acfcbed4b2e240d26 624508 kernel optional linux-patch-debian-2.6.33_2.6.33-1~experimental.5_all.deb
 51b008a520d1265698dd45a05e965468 65449474 kernel optional linux-source-2.6.33_2.6.33-1~experimental.5_all.deb
 6e334eda583d9511ca53b41a64abd60c 143534 devel optional linux-support-2.6.33-2_2.6.33-1~experimental.5_all.deb
 97c1a6f05dcf08039352f5c5c5201372 132396 kernel optional firmware-linux-free_2.6.33-1~experimental.5_all.deb
 43dfed3533303fdd9d60b66e6c4b5c80 139334 kernel optional linux-base_2.6.33-1~experimental.5_all.deb
 4e7a6929b7fdc116f5d053b31ee53042 28394362 kernel optional linux-image-2.6.33-2-amd64_2.6.33-1~experimental.5_amd64.deb
 b9ea6f089146faa9a3b18e154c5cfa3b 492986 kernel optional linux-headers-2.6.33-2-amd64_2.6.33-1~experimental.5_amd64.deb
 0defdbec9d9f941baea8af92dd269b2a 3920684 kernel optional linux-headers-2.6.33-2-common_2.6.33-1~experimental.5_amd64.deb
 fb121573dc1fd21f2167a76f7ab6f1b7 127332 kernel optional linux-headers-2.6.33-2-all_2.6.33-1~experimental.5_amd64.deb
 bffe9a741ab27579e26cc7fa4fd40137 127340 kernel optional linux-headers-2.6.33-2-all-amd64_2.6.33-1~experimental.5_amd64.deb
 5f55113ccfbfb6328fd0e5b79932a0b3 829880 devel optional linux-libc-dev_2.6.33-1~experimental.5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkvhp+wACgkQeW7Lc5tEHqhjrgCghFvYH5ZaP1TwlHfv9gpiBP43
scoAoMH6W1kWmp2XLOEN7omqFCRoFckk
=JOvA
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#576723; Package linux-2.6. (Sun, 09 May 2010 08:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Fackler <AndreasFackler@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 May 2010 08:15:06 GMT) Full text and rfc822 format available.

Message #22 received at 576723@bugs.debian.org (full text, mbox):

From: Andreas Fackler <AndreasFackler@gmx.de>
To: 576723@bugs.debian.org
Subject: Re: linux-2.6: [2.6.33] mising rt2860sta; rt2800 not suitable for, replacement
Date: Sun, 09 May 2010 10:12:58 +0200
The rtl8187se driver also seems to be missing. My Realtek 8187SE does
not work with the rtl8187 driver and thus is unusable with
linux-image-2.6.33-2-amd64.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#576723; Package linux-2.6. (Tue, 11 May 2010 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 May 2010 02:39:03 GMT) Full text and rfc822 format available.

Message #27 received at 576723@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Andreas Fackler <AndreasFackler@gmx.de>, 576723@bugs.debian.org
Subject: Re: Bug#576723: linux-2.6: [2.6.33] mising rt2860sta; rt2800 not suitable for, replacement
Date: Tue, 11 May 2010 03:35:26 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-05-09 at 10:12 +0200, Andreas Fackler wrote:
> The rtl8187se driver also seems to be missing. My Realtek 8187SE does
> not work with the rtl8187 driver and thus is unusable with
> linux-image-2.6.33-2-amd64.

That is a bug, but it has nothing whatsoever to do with this one.
Please don't follow-up to random bugs.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 14 May 2010 20:06:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#576723; Package linux-2.6. (Mon, 31 May 2010 20:45:03 GMT) Full text and rfc822 format available.

Message #32 received at 576723@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 576723@bugs.debian.org
Subject: Reopening #576723: linux-2.6: [2.6.34] mising rt2860sta; rt2800 not suitable for replacement
Date: Mon, 31 May 2010 23:43:39 +0300
[Message part 1 (text/plain, inline)]
found 576723 2.6.34-1~experimental.1
thanks

-=| Debian Bug Tracking System, Wed, May 05, 2010 at 05:42:11PM +0000 |=-
> This is an automatic notification regarding your Bug report
> which was filed against the linux-2.6 package:
> 
> #576723: linux-2.6: [2.6.33] mising rt2860sta; rt2800 not suitable for replacement
> 
> It has been closed by maximilian attems <maks@debian.org>.
> 
> Version: 2.6.33-1~experimental.5
>    * [x86] Re-enable rt2860sta and rt2870sta drivers which were 
>    accidentally
>      disabled when moving to Linux 2.6.33 (Closes: #576723)

Unfortunately 2.6.34-1~experimental.1 misses those again and rt2800pci 
still doesn't work with rt2860 hardware. Reopening.
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions 2.6.34-1~experimental.1 and reopened. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Mon, 31 May 2010 20:45:05 GMT) Full text and rfc822 format available.

Forcibly Merged 576723 580638 580740. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 31 May 2010 21:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#576723; Package linux-2.6. (Tue, 08 Jun 2010 09:09:03 GMT) Full text and rfc822 format available.

Message #39 received at 576723@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 576723@bugs.debian.org
Subject: Re: #576723 (mising rt2860sta) closed in linux-2.6 2.6.34-1~experimental.2
Date: Tue, 8 Jun 2010 12:06:48 +0300
[Message part 1 (text/plain, inline)]
unmerge 576723
found 576723 2.6.34-1~experimental.2
# restore usertag
user debian-eeepc-devel@lists.alioth.debian.org
usertag 576723 +features +901
thanks

Hi Ben,

> linux-2.6 (2.6.34-1~experimental.2) experimental; urgency=low
>
>   [ Ben Hutchings ]
>   * [x86] Reenable rtl8192su, accidentally disabled in previous version
>     (Closes: #580740)

Not sure why #576723 (mising rt2860sta) was merged into #580740 
(0bda:8171 Realtek USB WiFi unsupported), but the former is still not 
fixed:

$ find /lib -name '*rt2860*'
/lib/modules/2.6.33-2-amd64/kernel/drivers/staging/rt2860
/lib/modules/2.6.33-2-amd64/kernel/drivers/staging/rt2860/rt2860sta.ko
/lib/modules/2.6.32-2-amd64/kernel/drivers/staging/rt2860
/lib/modules/2.6.32-2-amd64/kernel/drivers/staging/rt2860/rt2860sta.ko
/lib/modules/2.6.32-5-amd64/kernel/drivers/staging/rt2860
/lib/modules/2.6.32-5-amd64/kernel/drivers/staging/rt2860/rt2860sta.ko
/lib/modules/2.6.32-1-amd64/kernel/drivers/staging/rt2860
/lib/modules/2.6.32-1-amd64/kernel/drivers/staging/rt2860/rt2860sta.ko
/lib/modules/2.6.31-1-amd64/kernel/drivers/staging/rt2860
/lib/modules/2.6.31-1-amd64/kernel/drivers/staging/rt2860/rt2860sta.ko
/lib/modules/2.6.32-4-amd64/kernel/drivers/staging/rt2860
/lib/modules/2.6.32-4-amd64/kernel/drivers/staging/rt2860/rt2860sta.ko

(note missing match in a 2.6.34 directory)

$ find /lib/modules/2.6.34-1-amd64 | wc -l
3055

$ apt-cache show linux-image-2.6.34-1-amd64|grep '^Version'
Version: 2.6.34-1~experimental.2

(Although the above is for amd64, the build log for i386 has no trace of 
'rt2860' either.)

Hopefuly the unmerge makes sense.

Thanks for your work!
[signature.asc (application/pgp-signature, inline)]

Disconnected #576723 from all other report(s). Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Tue, 08 Jun 2010 09:09:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.34-1~experimental.2; no longer marked as fixed in versions linux-2.6/2.6.34-1~experimental.2 and reopened. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Tue, 08 Jun 2010 09:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#576723; Package linux-2.6. (Thu, 17 Jun 2010 01:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 17 Jun 2010 01:30:03 GMT) Full text and rfc822 format available.

Message #48 received at 576723@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Damyan Ivanov <dmn@debian.org>, 576723@bugs.debian.org
Subject: Re: Bug#576723: #576723 (mising rt2860sta) closed in linux-2.6 2.6.34-1~experimental.2
Date: Thu, 17 Jun 2010 02:26:35 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2010-06-08 at 12:06 +0300, Damyan Ivanov wrote:
> unmerge 576723
> found 576723 2.6.34-1~experimental.2
> # restore usertag
> user debian-eeepc-devel@lists.alioth.debian.org
> usertag 576723 +features +901
> thanks
> 
> Hi Ben,
> 
> > linux-2.6 (2.6.34-1~experimental.2) experimental; urgency=low
> >
> >   [ Ben Hutchings ]
> >   * [x86] Reenable rtl8192su, accidentally disabled in previous version
> >     (Closes: #580740)
> 
> Not sure why #576723 (mising rt2860sta) was merged into #580740 
> (0bda:8171 Realtek USB WiFi unsupported), but the former is still not 
> fixed:
[...]

No, indeed.  Sorry.

This will really be fixed when we upload a 2.6.35 release candidate to
experimental, as we will then build a new orig tarball without any
changes to rt28{6,7}0sta.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) experimental. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 20 Jun 2012 00:33:07 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Wed, 20 Jun 2012 00:39:06 GMT) Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. (Wed, 20 Jun 2012 00:39:06 GMT) Full text and rfc822 format available.

Message #55 received at 576723-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 576723-done@bugs.debian.org
Subject: Re: linux-2.6: [2.6.33] mising rt2860sta; rt2800 not suitable for replacement
Date: Wed, 20 Jun 2012 01:35:23 +0100
[Message part 1 (text/plain, inline)]
Version: 2.6.35~rc4-1~experimental.1

I'm assuming that I was correct in saying:
> This will really be fixed when we upload a 2.6.35 release candidate to
> experimental, as we will then build a new orig tarball without any
> changes to rt28{6,7}0sta.

In any case, people seem to be happy with the rt2800 drivers now and
rt28{6,7}0sta are gone for good.

Ben.

-- 
Ben Hutchings
It is easier to change the specification to fit the program than vice versa.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Jul 2012 07:27:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:52:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.